curl --request POST \
--url https://api.privy.io/v1/condition_sets \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"name": "Approved Recipients",
"owner_id": "asgkan0r7gi0wdbvf9cw8qio"
}
'{
"id": "qvah5m2hmp9abqlxdmfiht90",
"name": "Approved Recipients",
"owner_id": "asgkan0r7gi0wdbvf9cw8qio",
"created_at": 1761271537642
}Condition sets
Create condition set
Create a new condition set. You must provide either “owner” or “owner_id” (but not both) to specify ownership.
POST
/
v1
/
condition_sets
curl --request POST \
--url https://api.privy.io/v1/condition_sets \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"name": "Approved Recipients",
"owner_id": "asgkan0r7gi0wdbvf9cw8qio"
}
'{
"id": "qvah5m2hmp9abqlxdmfiht90",
"name": "Approved Recipients",
"owner_id": "asgkan0r7gi0wdbvf9cw8qio",
"created_at": 1761271537642
}Authorizations
Body
application/json
Request body for creating a condition set. Optionally provide owner or owner_id (but not both) to specify ownership.
Response
200 - application/json
Created condition set object.
A condition set for grouping related condition values.
Was this page helpful?

